<?php get_header(); ?>
    <section class="blog">
        <div class="center">
            <h2 class="boxtitle" style="font-size: 18px;">
                <?php if ( is_day() ) : ?>
                    <?php printf( __( 'Daily Archives: %s', 'aletheme' ), get_the_date() ); ?>
                <?php elseif ( is_month() ) : ?>
                    <?php printf( __( 'Monthly Archives: %s', 'aletheme' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'aletheme' ) ) ); ?>
                <?php elseif ( is_year() ) : ?>
                    <?php printf( __( 'Yearly Archives: %s', 'aletheme' ), get_the_date( _x( 'Y', 'yearly archives date format', 'aletheme' ) ) ); ?>
                <?php else : ?>
                    <?php _e( 'Blog Archives', 'aletheme' ); ?>
                <?php endif; ?>
            </h2>
            <div class="blog-slider bloggridbox cf">
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <div class="col-3">
                        <a href="<?php the_permalink(); ?>">
                            <?php if(get_the_post_thumbnail($post->ID, 'post-thumba')){
                                echo get_the_post_thumbnail($post->ID, 'post-thumba');
                            } else { ?>
                                <img src="http://placehold.it/225x161&text=No Image" alt="<?php the_title(); ?>"/>
                            <?php } ?>
                            <div class="hover">
                                <h3><?php the_title(); ?></h3>
                                <p><?php echo get_the_date(); ?>  •  <?php foreach((get_the_category()) as $category) { echo $category->cat_name . ' ';} ?></p>
                            </div>
                        </a>
                    </div>
                <?php endwhile; else: ?>
                    <?php ale_part('notfound')?>
                <?php endif; ?>
            </div>
            <?php if(get_next_posts_link() or get_previous_posts_link()){ ?>
                <div class="pagination cf">
                    <span class="left firstfont"><?php if(get_previous_posts_link()){ echo get_previous_posts_link(__(' ','aletheme')); } else { echo "<span class='leftdis'></span>";} ?></span>
                    <span class="right firstfont"><?php if(get_next_posts_link()) { echo get_next_posts_link(__(' ','aletheme')); } else { echo "<span class='rightdis'></span>"; } ?></span>
                </div>
            <?php } ?>
        </div>
    </section>
<?php get_footer(); ?>