<section class="home">
    <!-- Navigation -->
    <nav class="top-navigation">
        <div class="center">
            <?php if(is_page_template('page-home.php')){
                if ( has_nav_menu( 'header_menu' ) ) {
                    wp_nav_menu(array(
                        'theme_location'=> 'header_menu',
                        'menu'			=> 'Header Menu',
                        'menu_class'	=> 'topmenu',
                        'walker'		=> new Aletheme_Nav_Walker(),
                    ));
                }
            } else {
                if ( has_nav_menu( 'header_menu_inner' ) ) {
                    wp_nav_menu(array(
                        'theme_location'=> 'header_menu_inner',
                        'menu'			=> 'Inner Header Menu',
                        'menu_class'	=> 'topmenu',
                        'walker'		=> new Aletheme_Nav_Walker(),
                    ));
                }
            }  ?>
        </div>
        <div class="drop-menu">
            <a>Menu</a>
            <?php if ( has_nav_menu( 'mobile_menu' ) ) {
                wp_nav_menu(array(
                    'theme_location'=> 'mobile_menu',
                    'menu'			=> 'Mobile Menu',
                    'menu_class'	=> 'ul-drop',
                    'walker'		=> new Aletheme_Nav_Walker(),
                    'container'     => '',
                ));
            } ?>
        </div>
    </nav>
    <section class="top-background <?php if(!is_page_template('page-home.php')){ echo 'innerpages';} ?>" data-type="background" <?php if(ale_get_option('header1bg')){ echo 'style="background-image: url('.ale_get_option('header1bg').');"'; } ?>>

        <div class="logo">
            <?php if(ale_get_option('sitelogo')){ ?>
                <a href="<?php echo home_url(); ?>/" class="customlogo"><img src="<?php echo ale_get_option('sitelogo'); ?>" /></a>
                <a href="<?php echo home_url(); ?>/" class="mobcustomlogo cf"><img src="<?php echo ale_get_option('mobsitelogo'); ?>" /></a>
            <?php } else { ?>
                <a href="<?php echo home_url(); ?>/" class="alelogo"><?php echo bloginfo('name'); ?></a>
            <?php } ?>
        </div>
    <?php if(is_page_template('page-home.php')){ ?>
        <div class="top-slider">
            <ul class="slides">
                <?php $slider = ale_sliders_get_slider(ale_get_option('header1slug'));  ?>
                <?php if($slider):?>
                    <?php foreach ($slider['slides'] as $slide) : ?>
                        <li>
                            <img src="<?php echo $slide['image'] ?>" width="963" height="323" alt="<?php echo $slide['title']; ?>" />
                            <div class="info">
                                <?php if($slide['title']){ echo '<h3 class="animationOne">'.$slide['title'].'</h3>'; } ?>
                                <p class="animationTwo cf">
                                    <?php if($slide['description']){ echo $slide['description']; } ?>
                                    <?php if($slide['html'] and $slide['description']){ echo '<br />'; } ?>
                                    <?php if($slide['html']){ echo $slide['html']; } ?>
                                </p>
                                <?php if($slide['url']){ echo '<a href="'.$slide['url'].'" class="read animationTwo">Read more ›</a>'; } ?>
                            </div>
                        </li>
                    <?php endforeach; ?>
                <?php endif;?>
            </ul>
        </div>
    <?php } ?>
    </section>
</section>